|  | Home · All Classes · Modules

# QGraphicsSceneResizeEvent Class Reference
[QtGui module]

The QGraphicsSceneResizeEvent class provides events for widget resizing in the graphics view framework. More...

Inherits QGraphicsSceneEvent.

### Methods

- __init__ (self)
- __init__ (self, QGraphicsSceneResizeEvent other)
- QSizeF newSize (self)
- QSizeF oldSize (self)

## Detailed Description

The QGraphicsSceneResizeEvent class provides events for widget resizing in the graphics view framework.

A QGraphicsWidget sends itself a QGraphicsSceneResizeEvent immediately when its geometry changes.

It's similar to QResizeEvent, but its sizes, oldSize() and newSize(), use QSizeF instead of QSize.

See also QGraphicsWidget.setGeometry() and QGraphicsWidget.resize().

## Method Documentation

### QGraphicsSceneResizeEvent.__init__ (self)

Constructs a QGraphicsSceneResizeEvent.

### QGraphicsSceneResizeEvent.__init__ (self, QGraphicsSceneResizeEvent other)

### QSizeF QGraphicsSceneResizeEvent.newSize (self)

Returns the new size (i.e., the current size).

See also oldSize() and QGraphicsWidget.resize().

### QSizeF QGraphicsSceneResizeEvent.oldSize (self)

Returns the old size (i.e., the size immediately before the widget was resized).

See also newSize() and QGraphicsWidget.resize().